Summary: Monitoring tool that displays various tables of DNS traffic
Summary(ko): DNS 트래픽의 여러가지 테이블을 출력하는 모니터링 도구
Name: dnstop
Version: 20110502
Release: 1%{?dist}
Epoch: 1
License: LGPL
Group: Applications/Internet
Requires: ncurses, libpcap
BuildRequires: ncurses-devel, libpcap-devel
Source0: http://dns.measurement-factory.com/tools/dnstop/src/%{name}-%{version}.tar.gz
Source1: dnstop.sh
URL: http://dns.measurement-factory.com/tools/dnstop/
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
dnstop is a small tool to listen on device or to parse the file savefile
and collect and print statistics on the local network's DNS traffic. You
must have read access to /dev/bpf*.

%prep
%{__rm} -rf %{buildroot}
%setup -q
%{configure}

%build
%{__make} %{?_smp_mflags}

%install
%{__mkdir} -p %{buildroot}%{_sysconfdir}/profile.d
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_mandir}/man8

%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/dnstop.sh
%{__install} -m 755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{_sysconfdir}/profile.d/dnstop.sh
%{_mandir}/man8/*.8*

%changelog
* Sat Apr 14 2012 JoungKyun.Kim <http://oops.org> 1:20110502-1%{?dist}
- update 20110502

* Mon Jan 15 2007 JoungKyun.Kim <http://oops.org> 1:20070105-1
- first packaged

